Provides methods to display any sort of messages, notifications, errors, etc. Requires Bootstrap library (both CSS and JS) to display the alerts properly.

abstract

### Hierarchy

- default
  - MessageNotification

## Index

### Constructors

- constructor

### Methods

- clear
- error
- info
- notify
- show
- showMessage
- success
- warn

## Constructors

### constructor

- new MessageNotification(): MessageNotification

- Overrides default.constructor

  - Defined in src/message/Notification.ts:62

  Provides methods to display any sort of messages, notifications, errors, etc. Requires Bootstrap library (both CSS and JS) to display the alerts properly.

  #### Returns MessageNotification

## Methods

### clear

- clear(): void

- - Defined in src/message/Notification.ts:96

  Clears all messages that are currently being shown.

  #### Returns void

### error

- error(message: string | string[]): void

- Inherited from default.error

  - Defined in src/message/Message.ts:89

  Display the given error message or list of error messages.

  #### Parameters

  - ##### message: string | string[]

    Message or list of messages.

  #### Returns void

### info

- info(message: string | string[]): void

- Inherited from default.info

  - Defined in src/message/Message.ts:98

  Display the given info message or list of info messages.

  #### Parameters

  - ##### message: string | string[]

    Message or list of messages.

  #### Returns void

### notify

- notify(object: string | string[] | Message | Message[]): void

- - Defined in src/message/Notification.ts:89

  Display the given message string or object or list of message strings or objects.

  #### Parameters

  - ##### object: string | string[] | Message | Message[]

        A message or list of messages as text or configuration objects.

  #### Returns void

### show

- show(object: string | Message | (string | Message)[]): void

- Inherited from default.show

  - Defined in src/message/Message.ts:79

  Show disclaimer message string or object or list of disclame message strings or objects.

  #### Parameters

  - ##### object: string | Message | (string | Message)[]

    A message or list of messages as text or configuration objects.

  #### Returns void

### showMessage

- showMessage(message: Message): void

- Overrides ngeoMessageMessage.showMessage

  - Defined in src/message/Notification.ts:106
  override

  #### Parameters

  - ##### message: Message

    Message.

  #### Returns void

### success

- success(message: string | string[]): void

- Inherited from default.success

  - Defined in src/message/Message.ts:107

  Display the given success message or list of success messages.

  #### Parameters

  - ##### message: string | string[]

    Message or list of messages.

  #### Returns void

### warn

- warn(message: string | string[]): void

- Inherited from default.warn

  - Defined in src/message/Message.ts:116

  Display the given warning message or list of warning messages.

  #### Parameters

  - ##### message: string | string[]

    Message or list of messages.

  #### Returns void

Generated using TypeDoc